import request from '@/utils/request'

// 打印机(分页)列表
export function getPageAllShopLaPrinter(data) {
  return request({
    url: '/shopLaPrinter/getPageAll',
    method: 'post',
    data
  })
}

// 新增打印机
export function savePostShopLaPrinter(data) {
  return request({
    url: '/shopLaPrinter/addPrinter',
    method: 'post',
    data
  })
}

// 修改打印机
export function updatePostShopLaPrinter(data) {
  return request({
    url: '/shopLaPrinter/updatePrinter',
    method: 'post',
    data
  })
}

// 打印机详情
export function detailPostShopLaPrinter(params) {
  return request({
    url: '/shopLaPrinter/detailPrinter',
    method: 'get',
    params
  })
}

// 打印机删除
export function deletePostShopLaPrinter(params) {
  return request({
    url: '/shopLaPrinter/deletePrinter',
    method: 'get',
    params
  })
}
